dbXML API

## com.dbxml.db.admin.nodes
Class ExtensionsNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.ExtensionsNode

All Implemented Interfaces:
  HasChildren, HasCollection

public final class ExtensionsNode
extends AdminNode
implements HasCollection, HasChildren

ExtensionsNode

Constructor Summary
`ExtensionsNode(AdminNode parentNode, CollectionClient col)`

Method Summary
`AdminNode[]` `getChildren()`
`CollectionClient` `getCollection()`
`javax.swing.Icon` `getIcon()`
`java.lang.String` `getLabel()`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`close, getColor, getFont, getMenuTitle, getParentNode, getTooltip, isParentMenuInherited, menuAction, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionsNode

    public ExtensionsNode(AdminNode parentNode,
                          CollectionClient col)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### getCollection

    public CollectionClient getCollection()

  Specified by:
    `getCollection` in interface `HasCollection`

### getChildren

    public AdminNode[] getChildren()

  Specified by:
    `getChildren` in interface `HasChildren`

dbXML API

Copyright (c) 2004 The dbXML Group